# Uses of Interface
java.io.ObjectOutput

Packages that use ObjectOutput
Package
Description
java.awt.datatransfer
Provides interfaces and classes for transferring data between and within applications.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
javax.management.loading
Provides the classes which implement advanced dynamic loading.
jdk.jshell.execution
Provides implementation support for building JShell execution engines.

## Uses of ObjectOutput in java.awt.datatransfer

Methods in java.awt.datatransfer with parameters of type ObjectOutput
Modifier and Type
Method
Description
`void`
DataFlavor.`writeExternal(ObjectOutput os)`
Serializes this `DataFlavor`.

## Uses of ObjectOutput in java.io

Classes in java.io that implement ObjectOutput
Modifier and Type
Class
Description
`class`
`ObjectOutputStream`
An ObjectOutputStream writes primitive data types and graphs of Java objects to an OutputStream.
Methods in java.io with parameters of type ObjectOutput
Modifier and Type
Method
Description
`abstract void`
ObjectOutputStream.PutField.`write(ObjectOutput out)`
Deprecated.
This method does not write the values contained by this `PutField` object in a proper format, and may result in corruption of the serialization stream.
`void`
Externalizable.`writeExternal(ObjectOutput out)`
The object implements the writeExternal method to save its contents by calling the methods of DataOutput for its primitive values or calling the writeObject method of ObjectOutput for objects, strings, and arrays.

## Uses of ObjectOutput in java.rmi.server

Methods in java.rmi.server that return ObjectOutput
Modifier and Type
Method
Description
`ObjectOutput`
RemoteCall.`getOutputStream()`
Deprecated.
no replacement
`ObjectOutput`
RemoteCall.`getResultStream(boolean success)`
Deprecated.
no replacement
Methods in java.rmi.server with parameters of type ObjectOutput
Modifier and Type
Method
Description
`String`
RemoteRef.`getRefClass(ObjectOutput out)`
Returns the class name of the ref type to be serialized onto the stream 'out'.
`void`
ObjID.`write(ObjectOutput out)`
Marshals a binary representation of this `ObjID` to an `ObjectOutput` instance.

## Uses of ObjectOutput in javax.management.loading

Methods in javax.management.loading with parameters of type ObjectOutput
Modifier and Type
Method
Description
`void`
MLet.`writeExternal(ObjectOutput out)`
Save this MLet's contents to the given `ObjectOutput`.

## Uses of ObjectOutput in jdk.jshell.execution

Methods in jdk.jshell.execution with parameters of type ObjectOutput
Modifier and Type
Method
Description
`static void`
Util.`forwardExecutionControl(ExecutionControl ec, ObjectInput in, ObjectOutput out)`
Forward commands from the input to the specified `ExecutionControl` instance, then responses back on the output.
Method parameters in jdk.jshell.execution with type arguments of type ObjectOutput
Modifier and Type
Method
Description
`static ExecutionControl`
Util.`remoteInputOutput(InputStream input, OutputStream output, Map<String,OutputStream> outputStreamMap, Map<String,InputStream> inputStreamMap, BiFunction<ObjectInput,ObjectOutput,ExecutionControl> factory)`
Creates an ExecutionControl for given packetized input and output.
Constructors in jdk.jshell.execution with parameters of type ObjectOutput
Modifier
Constructor
Description
`protected`
`JdiExecutionControl(ObjectOutput out, ObjectInput in)`
Create an instance.
``
`StreamingExecutionControl(ObjectOutput out, ObjectInput in)`
Creates an instance.